Issue 9480

Title
Fill grouping values when assigning move
Priority
feature
Status
resolved
Nosy list
ced, reviewbot, roundup-bot
Assigned to
ced
Keywords
review

Created on 2020-07-14.12:36:41 by ced, last changed 1 week ago by roundup-bot.

Messages

New changeset fdd5da9d2346 by Cédric Krier in branch 'default':
Fill grouping values when assigning produced moves
https://hg.tryton.org/tryton-env/rev/fdd5da9d2346
New changeset 3e2f053724b0 by Cédric Krier in branch 'default':
Fill grouping values when assigning produced moves
https://hg.tryton.org/modules/sale_supply_production/rev/3e2f053724b0
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-10-11.23:30:24
Here is review310791003
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-10-11.23:29:23
I re-open it again because sale_supply_production must be adapted also.
New changeset 1ca32d6e22ef by Cédric Krier in branch 'default':
Fill grouping values when assigning supplied moves
https://hg.tryton.org/tryton-env/rev/1ca32d6e22ef
New changeset a04e65b1a308 by Cédric Krier in branch 'default':
Fill grouping values when assigning supplied moves
https://hg.tryton.org/modules/sale_supply/rev/a04e65b1a308
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-09-24.17:44:42
Here is review296301002 which implements the same grouping mechanism on sale_supply.
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-09-24.17:16:50
I re-open it because sale_supply must be adapted to the new pick_product method.
New changeset 03d15247f5b9 by Cédric Krier in branch 'default':
Fill grouping values when assigning move
https://hg.tryton.org/tryton-env/rev/03d15247f5b9
New changeset 0955c4058303 by Cédric Krier in branch 'default':
Fill grouping values when assigning move
https://hg.tryton.org/modules/stock_lot/rev/0955c4058303
New changeset 61298be59e96 by Cédric Krier in branch 'default':
Fill grouping values when assigning move
https://hg.tryton.org/modules/stock/rev/61298be59e96
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-07-14.12:39:48
Here is review303951082 which implements this behavior. I had to put the test on  stock_lot module because I need to add the lot field to the grouping.
Also I left a TODO comment because I had to lot for each location over the product by location result in order to match each key. I can not use the dictionary index because we need to match positively when the move value is None.
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-07-14.12:36:40
Move.assign_try takes a grouping argument which is used to filter which quantities can be used for assignation. The idea is to allow to extend it to add for example the stock lot. So if the move has a lot filled, only location where this lot exist will be used.
But this gives only half of the feature needed. In some case we may want to request the system to set the lot for the assigned move.
History
Date User Action Args
2020-10-12 17:50:08roundup-botsetmessages: + msg60861
2020-10-12 17:50:00roundup-botsetstatus: testing -> resolved
messages: + msg60860
2020-10-11 23:38:04reviewbotsetmessages: + msg60808
2020-10-11 23:30:24cedsetstatus: in-progress -> testing
reviews: 303951082,296301002 -> 303951082,296301002,310791003
messages: + msg60803
2020-10-11 23:29:23cedsetstatus: resolved -> in-progress
messages: + msg60802
component: + sale_supply_production
2020-10-11 16:09:12roundup-botsetmessages: + msg60776
2020-10-11 16:09:08roundup-botsetstatus: testing -> resolved
messages: + msg60775
2020-09-25 10:24:55reviewbotsetmessages: + msg60369
2020-09-24 18:45:47reviewbotsetmessages: + msg60323
2020-09-24 17:55:19reviewbotsetmessages: + msg60313

Showing 10 items. Show all history (warning: this could be VERY long)